from setuptools import setup, find_packages

import os
execfile("release.py")

setup(
    name=name,
    version=version,
    
    description=description,
    author=author,
    author_email=author_email,
    url=url,
    download_url=download_url,
    license=license,
    
    install_requires = [
        "pyparsing >= 1.5.1",
        "PowerConsole",
        "ConfigObj>=4.5.3",
        "Cheetah-Community-Edition>=2.0.0"
#        "filelike >= 0.2.2"
    ],
#    scripts = ["ipwc.py"],
    #zip_safe=False,
    packages=find_packages(),
    #package_data = find_package_data(where='pwc', package='pwc'),
    namespace_packages = ['pwc'],
    entry_points = {
        'powerconsole.package': [   
            'fbqa = pwc.fbqacmd:packageFirebirdQA',
        ],
    },
    keywords = [
        # Use keywords if you'll be adding your package to the
        # Python Cheeseshop
        
    ],
    classifiers = [
        'Development Status :: 5 - Production/Stable',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Software Development :: Quality Assurance',
        
    ],
#    test_suite = 'nose.collector',
    )
    
